#include <hxcpp.h>

#ifndef INCLUDED_snow_types_AudioFormatType
#include <snow/types/AudioFormatType.h>
#endif
namespace snow{
namespace types{

::snow::types::AudioFormatType AudioFormatType_obj::ogg;

::snow::types::AudioFormatType AudioFormatType_obj::pcm;

::snow::types::AudioFormatType AudioFormatType_obj::unknown;

::snow::types::AudioFormatType AudioFormatType_obj::wav;

HX_DEFINE_CREATE_ENUM(AudioFormatType_obj)

int AudioFormatType_obj::__FindIndex(::String inName)
{
	if (inName==HX_CSTRING("ogg")) return 1;
	if (inName==HX_CSTRING("pcm")) return 3;
	if (inName==HX_CSTRING("unknown")) return 0;
	if (inName==HX_CSTRING("wav")) return 2;
	return super::__FindIndex(inName);
}

int AudioFormatType_obj::__FindArgCount(::String inName)
{
	if (inName==HX_CSTRING("ogg")) return 0;
	if (inName==HX_CSTRING("pcm")) return 0;
	if (inName==HX_CSTRING("unknown")) return 0;
	if (inName==HX_CSTRING("wav")) return 0;
	return super::__FindArgCount(inName);
}

Dynamic AudioFormatType_obj::__Field(const ::String &inName,bool inCallProp)
{
	if (inName==HX_CSTRING("ogg")) return ogg;
	if (inName==HX_CSTRING("pcm")) return pcm;
	if (inName==HX_CSTRING("unknown")) return unknown;
	if (inName==HX_CSTRING("wav")) return wav;
	return super::__Field(inName,inCallProp);
}

static ::String sStaticFields[] = {
	HX_CSTRING("unknown"),
	HX_CSTRING("ogg"),
	HX_CSTRING("wav"),
	HX_CSTRING("pcm"),
	::String(null()) };

static void sMarkStatics(HX_MARK_PARAMS) {
	HX_MARK_MEMBER_NAME(AudioFormatType_obj::ogg,"ogg");
	HX_MARK_MEMBER_NAME(AudioFormatType_obj::pcm,"pcm");
	HX_MARK_MEMBER_NAME(AudioFormatType_obj::unknown,"unknown");
	HX_MARK_MEMBER_NAME(AudioFormatType_obj::wav,"wav");
};

#ifdef HXCPP_VISIT_ALLOCS
static void sVisitStatic(HX_VISIT_PARAMS) {
	HX_VISIT_MEMBER_NAME(AudioFormatType_obj::__mClass,"__mClass");
	HX_VISIT_MEMBER_NAME(AudioFormatType_obj::ogg,"ogg");
	HX_VISIT_MEMBER_NAME(AudioFormatType_obj::pcm,"pcm");
	HX_VISIT_MEMBER_NAME(AudioFormatType_obj::unknown,"unknown");
	HX_VISIT_MEMBER_NAME(AudioFormatType_obj::wav,"wav");
};
#endif

static ::String sMemberFields[] = { ::String(null()) };
Class AudioFormatType_obj::__mClass;

Dynamic __Create_AudioFormatType_obj() { return new AudioFormatType_obj; }

void AudioFormatType_obj::__register()
{

hx::Static(__mClass) = hx::RegisterClass(HX_CSTRING("snow.types.AudioFormatType"), hx::TCanCast< AudioFormatType_obj >,sStaticFields,sMemberFields,
	&__Create_AudioFormatType_obj, &__Create,
	&super::__SGetClass(), &CreateAudioFormatType_obj, sMarkStatics
#ifdef HXCPP_VISIT_ALLOCS
    , sVisitStatic
#endif
#ifdef HXCPP_SCRIPTABLE
    , 0
#endif
);
}

void AudioFormatType_obj::__boot()
{
hx::Static(ogg) = hx::CreateEnum< AudioFormatType_obj >(HX_CSTRING("ogg"),1);
hx::Static(pcm) = hx::CreateEnum< AudioFormatType_obj >(HX_CSTRING("pcm"),3);
hx::Static(unknown) = hx::CreateEnum< AudioFormatType_obj >(HX_CSTRING("unknown"),0);
hx::Static(wav) = hx::CreateEnum< AudioFormatType_obj >(HX_CSTRING("wav"),2);
}


} // end namespace snow
} // end namespace types
